Forum Linux Mint Polska

Autor Wątek: Python 3.4 i PyGame  (Przeczytany 281 razy)

Offline Ender

  • Miętowa sadzonka
  • **
  • Wiadomości: 58
  • Punkty: 2
  • Płeć: Mężczyzna
  • Środowisko graficzne: Xfce
  • Wersja systemu: 18
Python 3.4 i PyGame
« dnia: Luty 10, 2018, 18:23:38 pm »
Cześć
Pobawiłem się różnymi dystrybucjami Ubuntu, Fedory, itd., ciekawość zaspokojona na jakiś czas. Wróciłem tym razem mam Mate na netbooku w wersji 32 bit, bo chciałbym kontynuować naukę Pythona i Pygame, a nastepnie przenieść i prócz wersji dla Minta mieć jeszcze wersję dla MorphOS-a. No i tu mam pewnie błahy problem, ale nie wiem jak go ugryź. PyGame, w którym chciałbym zrobić grę (prosta w ramach nauki) dobrze wspólpracuje tylko z Pythonem w wersji 3.4 z tego co wyczytałem w książce. Jak to pobrać, bo automatycznie pobiera się najnowsza wersja? Potrzebuję Pythona 3.4,PyGame, IDLE. No i z pierwszą opcją mam problem. Wpisywałem w terminalu werjsa 3.4, ale nic z tego. Pewnie moja wina. Co do książek to polecam: Python dla dzieci. Programowanie na wesołoTwórz własne gry komputerowe w PyGame

Wypróbowałem kilka sposobów, zadziałał ten z linka pod spodem. Gdyby ktoś szukał wstawiam.

Instalacja Pythona 3.4 pod Ubuntu
« Ostatnia zmiana: Luty 10, 2018, 20:30:06 pm wysłana przez Ender »

Offline Ender

  • Miętowa sadzonka
  • **
  • Wiadomości: 58
  • Punkty: 2
  • Płeć: Mężczyzna
  • Środowisko graficzne: Xfce
  • Wersja systemu: 18
Odp: Python 3.4 i PyGame
« Odpowiedź #1 dnia: Luty 11, 2018, 17:58:11 pm »
Mam problem, ze znalezieniem i instalacja IDLE 3.4 mam zaisntalowana wersję Python 3.4.5, python 1.9.3 no a IDLE ładuje mi się 3.5 a tu błąd przy probie wywołania pygame (import pygame)